## pynfft 1.3.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyNFFT.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyNFFT.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyNFFT"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyNFFT"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pynfft (1.3.2-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:04 +0000

pynfft (1.3.2-2build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 19:48:09 +0530

pynfft (1.3.2-2) unstable; urgency=medium

  * Fix FTBFS with NFFT 3.3. (Closes: #812997)
  * Use recommended VCS URIs.
  * Bump standards version to 3.9.7, no changes required.
  * Move build of documentation to indep targets.
  * Fix install dependencies of binary packages:
    - let python and shlibs substitutions figure the list of depends out,
    - debug packages depend on respective python and numpy debug packages.
  * d/control: add build dependency on dh-python.
  * Add autopkgtest testsuite.
  * d/control: cme fix, wrap and sort.
  * d/watch: use Debian redirector.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 11 Feb 2016 13:10:44 +0000

pynfft (1.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move python-sphinx to build-dep instead of build-indep (Closes: 762775)
  * Don't use -malign-double, as it is x86 only.

 -- YunQiang Su  <syq@debian.org>  Mon, 03 Nov 2014 15:30:59 +0800

pynfft (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #728282)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 18 Jan 2014 14:00:14 +0000

=== debian/control ===
Source: pynfft
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               debhelper (>= 9),
               dh-python,
               libnfft3-dev,
               python-all-dbg,
               python-all-dev,
               python-nose,
               python-numpy,
               python-numpy-dbg,
               python-setuptools,
               python3-all-dbg,
               python3-all-dev,
               python3-nose,
               python3-numpy,
               python3-numpy-dbg,
               python3-setuptools
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pynfft.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pynfft.git
Homepage: https://github.com/ghisvail/pyNFFT.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pynfft
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: python-pynfft-doc
Description: Python bindings for the NFFT3 library - Python 2
 This package provides Python bindings to the NFFT library, useful for 
 performing Fourier transforms on non-uniformly sampled data with efficient 
 speed. The bindings were generated using Cython and abstract the creation 
 and execution of NFFT plans out using classes.
 .
 This package provides the Python 2 version of the bindings.

Package: python-pynfft-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-dbg,
         python-numpy-dbg,
         python-pynfft (= ${binary:Version})
Description: Python bindings for the NFFT3 library - Python 2 (debug)
 This package provides Python bindings to the NFFT library, useful for 
 performing Fourier transforms on non-uniformly sampled data with efficient 
 speed. The bindings were generated using Cython and abstract the creation 
 and execution of NFFT plans out using classes.
 .
 This package provides the debugging symbols for the Python 2 bindings.

Package: python3-pynfft
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-pynfft-doc
Description: Python bindings for the NFFT3 library - Python 3
 This package provides Python bindings to the NFFT library, useful for 
 performing Fourier transforms on non-uniformly sampled data with efficient 
 speed. The bindings were generated using Cython and abstract the creation 
 and execution of NFFT plans out using classes.
 .
 This package provides the Python 3 version of the bindings.

Package: python3-pynfft-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-dbg,
         python3-numpy-dbg,
         python3-pynfft (= ${binary:Version})
Description: Python bindings to the NFFT3 library - Python 3 (debug)
 This package provides Python bindings to the NFFT library, useful for 
 performing Fourier transforms on non-uniformly sampled data with efficient 
 speed. The bindings were generated using Cython and abstract the creation 
 and execution of NFFT plans out using classes.
 .
 This package provides the debugging information of the Python 3 bindings.

Package: python-pynfft-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python bindings for the NFFT3 library - Documentation
 This package provides Python bindings to the NFFT library, useful for 
 performing Fourier transforms on non-uniformly sampled data with efficient 
 speed. The bindings were generated using Cython and abstract the creation 
 and execution of NFFT plans out using classes.
 .
 This package provides the common documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pynfft
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build-indep:
	python setup.py build_sphinx -b html

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_sphinxdoc --indep

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-all-dbg,
         python-nose,
         python-pynfft,
         python-pynfft-dbg

Tests: python3
Depends: python3-all,
         python3-all-dbg,
         python3-nose,
         python3-pynfft,
         python3-pynfft-dbg
